BlackDeltaCalculator Class Reference

Black delta calculator class. More...

`#include <ql/experimental/fx/blackdeltacalculator.hpp>`

## Public Member Functions

| BlackDeltaCalculator (Option::Type ot, DeltaVolQuote::DeltaType dt, Real spot, DiscountFactor dDiscount, DiscountFactor fDiscount, Real stdDev)
Real | deltaFromStrike (Real strike) const
Real | strikeFromDelta (Real delta) const
Real | cumD1 (Real strike) const
Real | cumD2 (Real strike) const
Real | nD1 (Real strike) const
Real | nD2 (Real strike) const
void | setDeltaType (DeltaVolQuote::DeltaType dt)
void | setOptionType (Option::Type ot)
Real | atmStrike (DeltaVolQuote::AtmType atmT) const

## Detailed Description

Black delta calculator class.

Class includes many operations needed for different applications in FX markets, which has special quoation mechanisms, since every price can be expressed in both numeraires.